<?PHP
     /*
     ** Function: DateSelector
     ** Version v2.0
     ** Last Updated: 2000-05-01
     ** Author: Leon Atkinson <leon@leonatkinson.com>
     ** Creates three form fields for get month/day/year
     ** Input: Prefix to name of field, default date
     ** Output: HTML to define three date fields
	 ** Update and translate to Croatian: Dubravko Penezic <Dubravko.Penezic@srce.hr>
     */
    function DateSelector($inName, $useDate=0)
    {
        //create array so we can name months
        //$monthName = array(1=> "January",  "February",  "March",
        //    "April",  "May",  "June",  "July",  "August",
        //    "September",  "October",  "November",  "December");

		$monthName = array(1=> "sjecanj",  "veljaca",  "ozujak",
            "travanj",  "svibanj",  "lipanj",  "srpanj",  "kolovoz",
            "rujan",  "listopad",  "studeni",  "prosinac");

		//if date invalid or not supplied, use current time
        if($useDate == 0)
        {
            $useDate = Time();
        }



        /*
        ** make day selector
        */
        print('<select name=' . $inName .  'dan>'."\n");
        for($currentDay=1; $currentDay <= 31; $currentDay++)
        {
            print('<option value="'.substr('0'.$currentDay,-2).'"');
            if(intval(date( "d", $useDate))==$currentDay)
            {
                print(' selected');
            }
            print('>'.$currentDay. "\n");
        }
        print("</select>");

        /*
        ** make month selector
        */
        print('<select name=' . $inName .  'mjesec>'."\n");
        for($currentMonth = 1; $currentMonth <= 12; $currentMonth++)
        {
            print('<option value="');
            print(substr('0'.intval($currentMonth),-2));
            print('"');
            if(intval(date( "m", $useDate))==$currentMonth)
            {
                print(' selected');
            }
            print('>' . $monthName[$currentMonth] .  "\n");
        }
        print('</select>');


        /*
        ** make year selector
        */
        print('<select name=' . $inName .  "godina>\n");
        $startYear = date( "Y", $useDate);
        for($currentYear = $startYear - 5; $currentYear <= $startYear+5;$currentYear++)
        {
            print('<option value="'.$currentYear.'"');
            if(date( "Y", $useDate)==$currentYear)
            {
                print(' selected');
            }
            print('>'.$currentYear."\n");
        }
        print("</select>");
    }

$name = `/bin/hostname -d`;

print'
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>StuDOM-AAI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<link href="/aai/css/studom.css" rel="stylesheet" type="text/css">
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="logo">
   <tr> 
     <td width="304"><img src="/aai/img/studom_nadzor.gif" ></td>
     <td width="252">&nbsp;</td>
     <td width="244" align="center" valign="bottom"><img src="/aai/img/logo_srce.gif" width="172" height="61" vspace="5"></td>
   </tr>
 </table>

<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="tablebody">
 
   <tr bgcolor="#333333"> 
     <td width="168"><font color="#CCCCCC">&nbsp;</font></td>
     <td width="442"><font color="#CCCCCC">&nbsp;</font></td>
     <td width="190"><font color="#CCCCCC">&nbsp;</font></td>
   </tr>
   <tr> 
     <td valign="top">
 	<table width="170" border="0" cellspacing="0" cellpadding="0">
         <tr> 
           <td><a href="http://studom.srce.hr/" class="menulink">StuDOM</a></td>
 
         </tr>
         <tr> 
           <td><a href="/aai/" class="menulink" >AAI</a></td>
         </tr>
         <tr> 
           <td><p><a href="/nocmon/" class="menulink">Mrea</a></p></td>
         </tr>
         <tr> 
           <td>&nbsp;</td>
 
         </tr>
       </table>
     </td>
 
     <td valign="top" id="sadrzaj">
';

  $sql1 = "select * from admin where uid=_latin2 '".$uid."'";
  $db->db_connect();

  $db->db_query($sql1);
  $admin=$db->resarr[0];

  $db->db_close();

if($auth and $admin)
{
print'
     <table width="800" border="0" cellspacing="0" cellpadding="0">
         <tr>
           <td height="18" align="center"> 
               <table align="center">
 	         <tr><td>|</td>
	    <td align="center"><a href="/aai/index.php">Poetna</a><//d><td> | </td>
  	    <td align="center"><a href="/aai/inc/statistike.php">Statistika</a></td><td> | </td>
  	    <td align="center"><a href="/aai/inc/korisnici.php">Korisnici</a></td><td> | </td>
  	    <td align="center"><a href="/aai/inc/abuse.php">Abuse</a></td><td> | </td>
  	    <td align="center"><a href="/aai/inc/mreza.php">RADIUS Auditing</a></td><td> | </td>
               </table>
               <br><br>
 	     <center><h1>StuDOM AAI nadzor '.$name.'</h1></center>
	       <br> <br>
     			
	   </td>
 	 </tr>
       </table>';

  print '            <p><a href="/aai/inc/statistike.php"><strong>Statistika</strong></a> je
              podruje u kojem je mogue dobiti statistiku koritenja lokalnog
              sustava po/aai MAC adresama ili korisnicima.</p>
            <p><a href="/aai/inc/korisnici.php"><strong>Korisnici</strong></a> je podruje u kojem je mogue dobiti informaciju o pojedinom
              korisniku. Statistike koritenja, provjera autentikacije i dr. </p>
            <p><a href="/aai/inc/abuse.php"><strong>Abuse</strong></a> je podruje u kojem je mogue istraiti tko je zlorabio sustav,
              temeljem upita Abuse slube.</p>
            <p><a href="/aai/inc/mreza.php"><strong>RADIUS Auditing</strong></a> je podruje u kojem je mogue istraiti koliko i kako je su koristeni mrezni switchevi iz podataka RADIUS auditinga.</p>
            <p>&nbsp; </p> ';

print' 
            <br>
            <br> 
			<form name="form2" method="post" action="/aai/logout.php">
              <input name="Submit32" type="submit" class="button_register" value="Logout">
            </form>
</center>
			  ';
}
if(! $admin) {
  print'
	  <p align="left">Korisnika oznaka <strong>'.$uid.'</strong> nema pravo koritenja ovog servisa !!!</p>';
}

print'
     </td>
     </tr>
     <tr>
     <td>&nbsp;</td>
     <td>
            <br>
            <br>
            <p align="left">Za kontakt s adminstratorima koristiti email <a href="mailto:studomadmin@srce.hr"><em><strong>studomadmin@srce.hr </strong></em></a></p>
            <p>&nbsp;</p>
     </td>
     </tr>
</table>
<!-- Design by ISA, Srce, 2004,2005,2006,2007 -->
</body>
</html>
';
?>
