<?php
/**
 * Array menija ovak izgleda:
 * $array=("home"=>"index.php", "about"=>"include/about.html")
 *
 * @param array $stavke_menija
 * @param selektirana_stavka $selected_meni
 * @param path_html_template $path
 */

function meni($stavke_menija, $selected_meni, $skin = "", $htmlpath="inc/meni/templates/",$csspath="inc/meni/css/", $br_split=-1) {
	
	#require_once("/home/nocmon/htdocs/inc/class.new_noc_templater.inc.php");	
	require_once("inc/class.new_noc_templater.inc.php");	
	$tmpl = new new_noc_templater($htmlpath."meni.inc.html");
	if ($skin == "combo_box") $tmpl = new new_noc_templater($htmlpath."meni_combo_box.html");
	else $tmpl = new new_noc_templater($htmlpath."meni.inc.html");	
	$tmpl->replace("path",$csspath); 
 	$meni_index = 0; $br_delim = count($stavke_menija);	
	foreach($stavke_menija as $stavka => $link) {
		$br_delim--;
		$tmpl->set_block("meni[$meni_index]");		
		if ($selected_meni == $stavka) 
		{ 
			if ($skin == "combo_box") $tmpl->replace("selected", "selected");
			else $tmpl->replace("selected", "Meni_Selected");		
		}		
		$tmpl->replace("link", $link);
		$tmpl->replace("stavka", $stavka);
		if ($meni_index==$br_split) $tmpl->replace("delimiter", "<td> | </td></tr></table><table align=\"center\"><tr><td> | </td>");
		else { 
			if ($br_delim) $tmpl->replace("delimiter", "<td> | </td>");
			else $tmpl->replace("delimiter", "");
		}						
		
		$meni_index++;	
	}
	
	$tmpl->parse();
	return $tmpl->parsed_block;
}

?>
